## tigervnc 1.6.0+dfsg

=== debian/changelog ===
tigervnc (1.6.0+dfsg-4) unstable; urgency=medium

  * Re-build to solve library dependency problem. Closes: #841288.

 -- Ola Lundqvist <opal@debian.org>  Thu, 20 Oct 2016 22:39:36 +0200

tigervnc (1.6.0+dfsg-3) unstable; urgency=medium

  * Vncviewer alternatives are now correctly removed at package removal.
    Closes: #840828.
  * Improved the debian/rules clean target.
  * Update alternatives gracefully handle non-existing files so the check
    is removed to ensure it is called in all cases.

 -- Ola Lundqvist <opal@debian.org>  Sat, 15 Oct 2016 22:42:51 +0200

tigervnc (1.6.0+dfsg-2) unstable; urgency=medium

  [ Ola Lundqvist ]
  * Corrected debian/copyright to fix all lintian warnings.
  * Fixed a clean problem in debian/rules that prevented dh_clean from
    being run.
  * Adjusted one of the patch files to allow building also on jessie.

  [ Yaroslav Halchenko ]
  * In hope again to provide acceptable Debian package (Closes: #650394)
  * debian/copyright
    - minor reformatting to avoid spurious tabs, trailing spaces
    - disambiguate short license names for two pieces with BSD-style licenses

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 04 Sep 2016 22:34:45 -0400

tigervnc (1.6.0+dfsg-1) UNRELEASED; urgency=medium

  * Fresh attempt to upload to unstable
  * New upstrem release
  * All active patches placed under debian/patches
    - Refresh all patches
    - add fix-build-error-with-xserver-1.18.patch
  * Updated standards version to 3.9.8
  * Switch to canonical URI for Vcs- fields
  * Remove win directory for DFSG-compatible
  * Bump compat to version 9

 -- Liang Guo <guoliang@debian.org>  Sat, 11 Jun 2016 11:43:28 +0800

tigervnc (1.3.0+X1.15.0-1) UNRELEASED; urgency=low

  * debian/{control,rules}
    - Use xorg-server-source source package instead of a convenience
      git submodule of xorg-server

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 07 Jan 2014 15:11:13 -0500

tigervnc (1.2.0-1) UNRELEASED; urgency=low

  * Updated to tigervnc 1.2.0

 -- Joachim Falk <joachim.falk@gmx.de>  Fri, 06 Apr 2012 14:25:22 +0200

tigervnc (1.1.90-1) UNRELEASED; urgency=low

  * Updated to tigervnc 1.1.90
  * Updated to xorg-server (2:1.7.7-14) squeeze

 -- Joachim Falk <joachim.falk@gmx.de>  Thu, 05 Apr 2012 19:36:26 +0200

tigervnc (1.1.0-2jf) UNRELEASED; urgency=low

  * Added RH patch tigervnc11-ldnow.patch disabling lazy symbol resolution for libvnc.so

  * Added RH patch tigervnc11-rh690245.patch which add TLS encryption to VeNCrypt
    
      TigerVNC (Xvnc, x0vncserver, the libvnc.so module, and vncviewer) now
      supports TLS encryption (using VeNCrypt) which allows TLS encrypted
      communication between a server and a viewer. (BZ#653491)

  * Added RH patch tigervnc11-rh588342.patch which fixes EQ overflowing bug.
    
      Xvnc could become unresponsive and the following error message was shown
      in the log: "[mi] EQ overflowing. The server is probably stuck in an
      infinite loop.". This was caused by a large number of user input events
      in the Xvnc event queue, which were being processed too slowly. With
      this update, this issue no longer occurs and the system works as
      expected. (BZ#588342)

  * Add RH patch tigervnc11-rh628054-xorg.patch which fixes vmware keyboard interaction bug.
    
      Prior to this update, Xvnc (the X VNC server; part of the tigervnc
      package) did not pass keyboard input to a remote VMware workstation
      because it did not take into account types of keyboards which do not
      have modifier keys. With this update, Xvnc recognizes all types of
      keyboards; thus, keyboard input is correctly passed to remote VMware
      workstations. (BZ#628054)

  * Add RH patch tigervnc11-rh645755.patch fix signal interrupted read
    
      The Xvnc server randomly refused connections when the reading of the
      password file (provided when starting Xvnc with the "-PasswordFile"
      option) was interrupted by a signal. With this update, the loading of a
      password file continues after an interrupt signal is issued and
      connections are no longer refused. (BZ#645755)

  * Apply RH patch tigervnc-viewer-reparent.patch which adds vncviewer embedding support via -Parent option.

  * Apply RH patch tigervnc-102434.patch which adds -passwdInput option to vncviewer.

 -- Joachim Falk <joachim.falk@gmx.de>  Thu, 13 Oct 2011 20:12:48 +0200

tigervnc (1.1.0-1jf) UNRELEASED; urgency=low

  * Updated to tigervnc 1.1.0

 -- Joachim Falk <joachim.falk@gmx.de>  Mon, 12 Sep 2011 08:08:35 +0200

tigervnc (1.0.90-3jf) UNRELEASED; urgency=low

  * added tcpwrappers support

 -- Joachim Falk <joachim.falk@gmx.de>  Sun, 04 Sep 2011 15:49:07 +0200

tigervnc (1.0.90-2jf) UNRELEASED; urgency=low

  * vncviewer => xvncviewer

 -- Joachim Falk <joachim.falk@gmx.de>  Sun, 31 Jul 2011 22:26:46 +0200
 

tigervnc (1.0.90-1jf) UNRELEASED; urgency=low

  * Initial dpk package

 -- Joachim Falk <joachim.falk@gmx.de>  Sun, 31 Jul 2011 21:36:46 +0200

=== debian/control ===
Source: tigervnc
Section: x11
Priority: optional
Maintainer: TigerVNC Packaging Team <pkg-tigervnc-devel@lists.alioth.debian.org>
Uploaders:
 Joachim Falk <joachim.falk@gmx.de>,
 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>,
 Yaroslav Halchenko <debian@onerussian.com>,
 Ola Lundqvist <opal@debian.org>,
 Liang Guo <guoliang@debian.org>,
# all the Build-Depends up to x11proto-xf86-dri-dev are for the normal Xorg
# server, and common dependencies for the DIX.
# x11proto-xf86dri-dev and libdrm-dev are for DRI support for the Xorg server.
# x11proto-print-dev and libfreetype6-dev are for Xprint
# everything on is for the DMX and Xnest servers.
Build-Depends:
 cdbs (>= 0.4.89),
 dh-autoreconf,
 cmake (>= 2.8),
 pristine-tar,
 gettext,
 zlib1g-dev,
 libjpeg-dev,
 libgnutls28-dev,
 libpam0g-dev,
 libxft-dev,
 libxcursor-dev,
 libwrap0-dev,
 libfltk1.3-dev (>= 1.3.3),
 xorg-server-source,
 xserver-xorg-dev,
# this are dependencies from xorg deb
 debhelper (>= 9),
 quilt,
 lsb-release,
 pkg-config,
 bison,
 flex,
 automake,
 libtool,
 xutils-dev (>= 1:7.6+4),
 xfonts-utils (>= 1:7.5+1),
 x11proto-bigreqs-dev (>= 1:1.1.0),
 x11proto-composite-dev (>= 1:0.4),
 x11proto-core-dev (>= 7.0.22),
 x11proto-damage-dev (>= 1.1),
 x11proto-fixes-dev (>= 1:5.0),
 x11proto-kb-dev (>= 1.0.3),
 x11proto-xinerama-dev,
 x11proto-randr-dev (>= 1.2.99.3),
 x11proto-record-dev (>= 1.13.99.1),
 x11proto-render-dev (>= 2:0.11),
 x11proto-resource-dev,
 x11proto-scrnsaver-dev,
 x11proto-video-dev,
 x11proto-xcmisc-dev (>= 1.2.0),
 x11proto-xext-dev (>= 7.1.99),
 x11proto-xf86bigfont-dev (>= 1.2.0),
 x11proto-xf86dga-dev (>= 2.0.99.1),
 x11proto-xf86vidmode-dev (>= 2.2.99.1),
 xtrans-dev (>= 1.2.2),
 libxau-dev (>= 1:1.0.5-2),
 x11proto-input-dev (>= 2.1.99.6),
 x11proto-dri2-dev (>= 2.6),
 libxdmcp-dev (>= 1:0.99.1),
 libxfont-dev (>= 1:1.4.2),
 libxkbfile-dev (>= 1:0.99.1),
 libpixman-1-dev (>= 0.21.8),
 libpciaccess-dev (>= 0.12.901),
 libgcrypt-dev,
 nettle-dev,
 libhal-dev [kfreebsd-any],
 libudev-dev (>= 151-3) [linux-any],
 libselinux1-dev (>= 2.0.80) [linux-any],
 libaudit-dev [linux-any],
 x11proto-xf86dri-dev (>= 2.1.0),
 libdrm-dev (>= 2.4.3) [!hurd-i386],
 x11proto-gl-dev (>= 1.4.14),
 mesa-common-dev (>= 7.8),
 libgl1-mesa-dev (>= 7.8),
 libxmuu-dev (>= 1:0.99.1),
 libxext-dev (>= 1:0.99.1),
 libx11-dev (>= 1:0.99.2),
 libxrender-dev (>= 1:0.9.0),
 libxi-dev (>= 2:1.2.99.1),
 x11proto-dmx-dev (>= 1:2.2.99.1),
 libdmx-dev (>= 1:1.0.1),
 libxpm-dev (>= 1:3.5.3),
 libxaw7-dev (>= 1:0.99.1),
 libxt-dev (>= 1:0.99.1),
 libxmu-dev (>= 1:0.99.1),
 libxtst-dev (>= 1:0.99.1),
 libxres-dev (>= 1:0.99.1),
 libxfixes-dev (>= 1:3.0.0),
 libxv-dev,
 libxinerama-dev,
# unit tests
 xkb-data,
 x11-xkb-utils,
# getpeereid()
 libbsd-dev [kfreebsd-any],
 libepoxy-dev [linux-any kfreebsd-any],
# openjdk-7-jdk,
 libsystemd-dev,
 libdbus-1-dev,
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-tigervnc/pkg-tigervnc.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-tigervnc/pkg-tigervnc.git
Homepage: http://www.tigervnc.org

Package: tigervnc-common
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Conflicts:
 tigervnc-server (<< 1.1.90),
 tigervnc-viewer (<< 1.1.90)
Description: Virtual network computing; Common software needed by servers
 VNC stands for Virtual Network Computing. It is, in essence, a remote
 display system which allows you to view a computing `desktop' environment
 not only on the machine where it is running, but from anywhere on the
 Internet and from a wide variety of machine architectures.
 .
 It is implemented in a client/server model. This package provides the
 vncpasswd and vncconfig tools.

Package: tigervnc-scraping-server
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 tigervnc-common 
Provides:
 vnc-server
Replaces: tigervnc-server (<< 1.1.90)
Breaks: tigervnc-server (<< 1.1.90)
Description: VNC server uses screen scraping of an already running X server
 VNC stands for Virtual Network Computing. It is, in essence, a remote
 display system which allows you to view a computing `desktop' environment
 not only on the machine where it is running, but from anywhere on the
 Internet and from a wide variety of machine architectures.
 .
 This package provides a vncserver which uses screen scraping of an already
 running X server to provide its VNC desktop. The VNC desktop can be viewed
 by any vncviewer even on other operating systems.
 .
 Note: If you only want to scrap your local X11 server, you should consider
 the tigervnc-xorg-extension package. This package provides the vnc extension
 for your local X11 server. The usage of this extension is more efficient
 than a scraping vnc server.

Package: tigervnc-standalone-server
Architecture: any
Depends:
 xkb-data,
 x11-xkb-utils,
 xauth,
 ${shlibs:Depends},
 ${misc:Depends},
 ${perl:Depends}
Recommends:
 tigervnc-common,
 libgl1-mesa-dri (>= 7.1~rc1),
 xfonts-base,
 x11-xserver-utils
Suggests:
 xfonts-100dpi | xfonts-75dpi,
 xfonts-scalable
Provides:
 vnc-server,
 xserver
Replaces: tigervnc-server (<< 1.1.90)
Breaks: tigervnc-server (<< 1.1.90)
Description: Standalone VNC server 
 VNC stands for Virtual Network Computing. It is, in essence, a remote
 display system which allows you to view a computing `desktop' environment
 not only on the machine where it is running, but from anywhere on the
 Internet and from a wide variety of machine architectures.
 .
 This package provides a standalone vncserver to which X clients can connect.
 The server generates a display that can be viewed with a vncviewer.
 .
 Note: This server does not need a display. You need a vncviewer to see
 something. This viewer may also be on a computer running other operating
 systems.

Package: tigervnc-xorg-extension
Architecture: any
Depends:
 xserver-xorg-core (>= 2:1.7.7),
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 tigervnc-common 
Provides:
 vnc-server,
 vnc-xorg-extension
Replaces: tigervnc-server (<< 1.1.90)
Breaks: tigervnc-server (<< 1.1.90)
Description: X server vnc extension
 VNC stands for Virtual Network Computing. It is, in essence, a remote
 display system which allows you to view a computing `desktop' environment
 not only on the machine where it is running, but from anywhere on the
 Internet and from a wide variety of machine architectures.
 .
 It contains an X server connector so clients can connect to your local X
 desktop directly.

Package: tigervnc-viewer
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Suggests:
 tigervnc-common
Provides:
 vncviewer,
 vnc-viewer
Description: Virtual network computing client software for X
 VNC stands for Virtual Network Computing. It is, in essence, a remote
 display system which allows you to view a computing `desktop' environment
 not only on the machine where it is running, but from anywhere on the
 Internet and from a wide variety of machine architectures.
 .
 It is implemented in a client/server model. This package provides a vncclient
 for X, with this you can connect to a vncserver somewhere in the network
 and display its content in a window. There are vncservers available for other
 operating systems.

#Package: tigervnc-java
#Architecture: all
#Depends:
# openjdk-7-jre
#Provides:
# vnc-java-viewer
#Enhances:
# tigervnc-standalone-server
#Description: Virtual network computing java applet and command line program
# VNC stands for Virtual Network Computing. It is, in essence, a remote
# display system which allows you to view a computing `desktop' environment
# not only on the machine where it is running, but from anywhere on the
# Internet and from a wide variety of machine architectures.
# .
# It contains a java viewer implementation that can either be used as an applet,
# typically served by the built in web server provided by Xvnc
# (tigervnc-standalone-server) or from command line using a Java JRE.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the Debian tigervnc package.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Where the tigervnc sources are
DEB_SRCDIR   = .
# Don't override DEB_BUILDDIR as /usr/share/cdbs/1/class/cmake.mk does not
# support this
## Where to built tigervnc
#DEB_BUILDDIR = $(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)

VNC_PATCH = $(CURDIR)/unix/xserver117.patch

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

# Do our complex patch dance first! After that quilt patch system can proceed!
clean:: unpatch
unpatch: reverse-patches-dance
apply-patches: apply-patches-dance
reverse-patches-dance: reverse-patches

include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_DH_AUTORECONF_ARGS       = $(CURDIR)/debian/xorg-autoreconf.sh
DEB_DH_AUTORECONF_CLEAN_ARGS =

#include /usr/share/cdbs/1/rules/autoreconf.mk we need the deautoreconf in the unpatch sequence

# --disable-maintainer-mode does not seem to do its job! Why?!
DEB_CONFIGURE_EXTRA_FLAGS += --disable-maintainer-mode

DEB_CMAKE_INSTALL_PREFIX  = /usr
DEB_CMAKE_EXTRA_FLAGS     += -DUSE_INCLUDED_ZLIB:BOOL=OFF
DEB_CMAKE_EXTRA_FLAGS     += -DENABLE_LIBWRAP:BOOL=ON
DEB_CMAKE_EXTRA_FLAGS     += -DENABLE_NLS:BOOL=ON
DEB_CMAKE_EXTRA_FLAGS     += -DENABLE_GNUTLS:BOOL=ON
DEB_CMAKE_EXTRA_FLAGS     += -DENABLE_PAM:BOOL=ON
#DEB_CMAKE_EXTRA_FLAGS     += -DBUILD_JAVA=1

CFLAGS   += $(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS += $(shell dpkg-buildflags --get CXXFLAGS)
CPPFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS  += $(shell dpkg-buildflags --get LDFLAGS)

# We need that as /usr/share/cdbs/1/class/cmake.mk is buggy and does not use the :STRING qualifier
DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_C_FLAGS:STRING="$(CPPFLAGS) $(CFLAGS) -fPIC"
DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_CXX_FLAGS:STRING="$(CPPFLAGS) $(CXXFLAGS) -fPIC"
DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_EXE_LINKER_FLAGS="$(LDFLAGS)"
DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_SHARED_LINKER_FLAGS="$(LDFLAGS)"

# This is stolen from xorg-server/debian/xsfbs/xsfbs.mk
# Determine (source) package name from Debian changelog.
SOURCE_NAME:=$(shell dpkg-parsechangelog -ldebian/changelog \
                        | grep '^Source:' | awk '{print $$2}')

# Determine package version from Debian changelog.
SOURCE_VERSION:=$(shell dpkg-parsechangelog -ldebian/changelog \
                        | grep '^Version:' | awk '{print $$2}')

# Determine upstream version number.
UPSTREAM_VERSION:=$(shell echo $(SOURCE_VERSION) | sed 's/-.*//')

# Determine the source version without the epoch for make-orig-tar-gz
NO_EPOCH_VER:=$(shell echo $(UPSTREAM_VERSION) | sed 's/^.://')

# Highly modified and adapted from http://wiki.debian.org/SandroTosi/Svn_get-orig-source
TIGERVNC_PACKAGE = tigervnc
TIGERVNC_VERSION = $(shell echo ${NO_EPOCH_VER} | cut -d"+" -f1)
TIGERVNC_TARBALL = $(TIGERVNC_PACKAGE)_$(TIGERVNC_VERSION).orig.tar.gz

X11_PACKAGE = xorg-server
X11_VERSION = $(shell echo ${NO_EPOCH_VER} | cut -d"X" -f2 | cut -d"-" -f1)
X11_TARBALL = $(X11_PACKAGE)_$(X11_VERSION).orig.tar.gz

debug-debian-rules:
	@echo '$$(DEB_CONFIGURE_EXTRA_FLAGS) $(DEB_CONFIGURE_EXTRA_FLAGS)'
	@echo '$$(DEB_CMAKE_EXTRA_FLAGS) $(DEB_CMAKE_EXTRA_FLAGS)'
	@echo '$$(SOURCE_NAME) $(SOURCE_NAME)'
	@echo '$$(SOURCE_VERSION) $(SOURCE_VERSION)'
	@echo '$$(UPSTREAM_VERSION) $(UPSTREAM_VERSION)'
	@echo '$$(NO_EPOCH_VER) $(NO_EPOCH_VER)'
	@echo '$$(TIGERVNC_PACKAGE) $(TIGERVNC_PACKAGE)'
	@echo '$$(TIGERVNC_VERSION) $(TIGERVNC_VERSION)'
	@echo '$$(TIGERVNC_TARBALL) $(TIGERVNC_TARBALL)'
	@echo '$$(X11_PACKAGE) $(X11_PACKAGE)'
	@echo '$$(X11_VERSION) $(X11_VERSION)'
	@echo '$$(X11_TARBALL) $(X11_TARBALL)'

.PHONY: apply-patches-dance reverse-patches-dance

apply-patches-dance: apply-patches-vnc-patch-xorg
apply-patches-vnc-patch-xorg: apply-patches-unify-xorg-and-vnc-tree
apply-patches-unify-xorg-and-vnc-tree:

reverse-patches-dance: reverse-patches-xorg
reverse-patches-xorg: reverse-patches-remove-xorg-from-vnc-tree
reverse-patches-remove-xorg-from-vnc-tree: reverse-patches-vnc-unpatch-xorg
reverse-patches-vnc-unpatch-xorg: reverse-patches-deautoreconf

.PHONY: reverse-patches-deautoreconf

post-patches:: $(DEB_SRCDIR)/unix/xserver/.autoreconf-xorg.stamp

$(DEB_SRCDIR)/unix/xserver/.autoreconf-xorg.stamp:
	dh_autoreconf $(DEB_DH_AUTORECONF_ARGS) && touch $@

reverse-patches-deautoreconf:
	if test -f $(DEB_SRCDIR)/unix/xserver/.autoreconf-xorg.stamp; then \
	  dh_autoreconf_clean $(DEB_DH_AUTORECONF_CLEAN_ARGS) && \
	  rm -f $(DEB_SRCDIR)/unix/xserver/.autoreconf-xorg.stamp \
	  	$(CURDIR)/debian/autoreconf.before \
	  	$(CURDIR)/debian/autoreconf.after; \
	else \
	  rm -f $(CURDIR)/debian/autoreconf.before \
	  	$(CURDIR)/debian/autoreconf.after; \
	fi

.PHONY: apply-patches-vnc-patch-xorg reverse-patches-vnc-unpatch-xorg

apply-patches-vnc-patch-xorg: $(DEB_SRCDIR)/unix/xserver/.apply-patches-vnc-patch-xorg.stamp

$(DEB_SRCDIR)/unix/xserver/.apply-patches-vnc-patch-xorg.stamp: $(VNC_PATCH)
	cd $(DEB_SRCDIR)/unix/xserver && { \
		patch --no-backup-if-mismatch -p1 < $(VNC_PATCH) && \
		touch .apply-patches-vnc-patch-xorg.stamp; \
	}

reverse-patches-vnc-unpatch-xorg: $(VNC_PATCH)
	cd $(DEB_SRCDIR)/unix/xserver && if test -f .apply-patches-vnc-patch-xorg.stamp; then \
		patch --no-backup-if-mismatch -R -p1 < $(VNC_PATCH); \
		rm -f .apply-patches-vnc-patch-xorg.stamp; \
	fi

.PHONY: apply-patches-unify-xorg-and-vnc-tree reverse-patches-remove-xorg-from-vnc-tree

apply-patches-unify-xorg-and-vnc-tree: $(DEB_SRCDIR)/unix/xserver/.apply-patches-unify-xorg-and-vnc-tree.stamp

$(DEB_SRCDIR)/unix/xserver/.apply-patches-unify-xorg-and-vnc-tree.stamp:
	cd $(DEB_SRCDIR)/unix/xserver && \
	  { tar --strip-components 1 -xvJf /usr/src/xorg-server.tar.xz | \
	      sed -e 's@^[^/]*/@@' > .apply-patches-unify-xorg-and-vnc-tree.files; } && \
	  touch .apply-patches-unify-xorg-and-vnc-tree.stamp

reverse-patches-remove-xorg-from-vnc-tree:
	cd $(DEB_SRCDIR)/unix/xserver && \
		if test -f .apply-patches-unify-xorg-and-vnc-tree.files; then \
			sort -r < .apply-patches-unify-xorg-and-vnc-tree.files | \
				while read line; do \
					if test -d "$$line"; then \
						rmdir "$$line" || true; \
					else \
						rm -f "$$line"; \
					fi; \
				done; \
			rm -f .apply-patches-unify-xorg-and-vnc-tree.stamp \
			      .apply-patches-unify-xorg-and-vnc-tree.files; \
		fi

configure/tigervnc-standalone-server configure/tigervnc-xorg-extension:: $(DEB_BUILDDIR)/unix/xserver/configure.stamp

include /usr/share/xserver-xorg/configure_flags.mk

xserver_confflags := $(shell echo '$(xserver_confflags)' | sed 's/--with-builderstring="[^"]*"//')
XORG_DEBIAN_CONFIGURE_FLAGS = \
	$(filter-out \
		--prefix=% \
		--mandir=% \
		--infodir=% \
		--sysconfdir=% \
		--localstatedir=% \
		--build=% \
		--host=% \
		--enable-xwayland \
		--enable-xfbdev \
		--enable-dmx \
		--enable-xvfb \
		--enable-xnest \
		--enable-xephyr \
		--enable-xorg \
		--enable-dri \
		--enable-dri2 \
		--enable-xmir \
	    , $(xserver_confflags) \
	)

# Next step is run configure script. It is very difficult use correct parameters.
# You should use same parameters as used in your distribution X server and add
# --disable-xvfb --disable-xnest --disable-xorg
$(DEB_BUILDDIR)/unix/xserver/configure.stamp:
	mkdir -p $(DEB_BUILDDIR)/unix/xserver
	cd $(DEB_BUILDDIR)/unix/xserver && \
	  $(DEB_CONFIGURE_SCRIPT_ENV) $(CURDIR)/$(DEB_SRCDIR)/unix/xserver/configure \
		CPPFLAGS="$(CPPFLAGS)" \
		CFLAGS="$(CFLAGS)" \
		CXXFLAGS="$(CXXFLAGS)" \
		LDFLAGS="$(LDFLAGS) -lpam" \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--sysconfdir=/etc \
		--localstatedir=/var \
		$(XORG_DEBIAN_CONFIGURE_FLAGS) \
		$(DEB_CONFIGURE_EXTRA_FLAGS) \
		--disable-selective-werror \
		--with-builderstring="tigervnc-xorg-server $(NO_EPOCH_VER) (TigerVNC Packaging Team <pkg-tigervnc-devel@lists.alioth.debian.org>)" \
		--disable-xwayland \
		--disable-xfbdev \
		--disable-dmx \
		--disable-xvfb \
		--disable-xnest \

## tigervnc 1.7.0

=== unix/vncconfig/CMakeLists.txt ===
include_directories(${X11_INCLUDE_DIR})

include_directories(${CMAKE_SOURCE_DIR}/common)
include_directories(${CMAKE_SOURCE_DIR}/unix/tx)

add_executable(vncconfig 
  buildtime.c
  vncExt.c
  vncconfig.cxx
  QueryConnectDialog.cxx)

target_link_libraries(vncconfig tx rfb network rdr ${X11_LIBRARIES})

install(TARGETS vncconfig DESTINATION ${BIN_DIR})
install(FILES vncconfig.man DESTINATION ${MAN_DIR}/man1 RENAME vncconfig.1)

=== debian/changelog ===
tigervnc (1.7.0-2) unstable; urgency=high

  * Most of CVE-2014-8241 was already corrected but this update correct
    one missing part of that CVE. Closes: #849478.
  * Added a versioned dependency on xorg source.

 -- Ola Lundqvist <opal@debian.org>  Thu, 29 Dec 2016 22:04:35 +0000

tigervnc (1.7.0-1) unstable; urgency=high

  * Fresh upstream that help to solve #843543.
   - Modified a special patch for VeNCrypt support as it all parts that made
     sense is already in there.
   - Removed a few patches that are already applied upstream.
   - Did quilt refresh on a few more.
  * Correction to make it build against xorg source 1.19. Closes: #843543.
  * Security correction for CVE-2014-8240 that corrects an integer overflow
    flaw, leading to a heap-based buffer overflow in screen size handling.
    Closes: #849479.

 -- Ola Lundqvist <opal@debian.org>  Mon, 28 Nov 2016 23:20:20 +0100

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  libxcursor-dev,
  libwrap0-dev,
  libfltk1.3-dev (>= 1.3.3),
- xorg-server-source,
+ xorg-server-source (>= 2:1.19),
  xserver-xorg-dev,
 # this are dependencies from xorg deb
  debhelper (>= 9),

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,11 @@
 ## Where to built tigervnc
 #DEB_BUILDDIR = $(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)
 
-VNC_PATCH = $(CURDIR)/unix/xserver117.patch
+# Normal situation
+#VNC_PATCH = $(CURDIR)/unix/xserver117.patch
+# However in this case we do not have this file from upstream so we use a
+# debian specific copy instead.
+VNC_PATCH = $(CURDIR)/debian/xserver119.patch
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/cmake.mk
@@ -205,9 +209,3 @@
 		$(XORG_DEBIAN_CONFIGURE_FLAGS) \
 		$(DEB_CONFIGURE_EXTRA_FLAGS) \
 		--disable-selective-werror \
-		--with-builderstring="tigervnc-xorg-server $(NO_EPOCH_VER) (TigerVNC Packaging Team <pkg-tigervnc-devel@lists.alioth.debian.org>)" \
-		--disable-xwayland \
-		--disable-xfbdev \
-		--disable-dmx \
-		--disable-xvfb \
-		--disable-xnest \
